package com.xzzn.ems.mapper;

import com.xzzn.ems.domain.EmsPcsSetting;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * PCS设备配置Mapper接口
 * 
 * @author xzzn
 * @date 2025-12-29
 */
public interface EmsPcsSettingMapper 
{
    /**
     * 查询PCS设备配置
     * 
     * @param id PCS设备配置主键
     * @return PCS设备配置
     */
    public EmsPcsSetting selectEmsPcsSettingById(Long id);

    /**
     * 查询PCS设备配置列表
     * 
     * @param emsPcsSetting PCS设备配置
     * @return PCS设备配置集合
     */
    public List<EmsPcsSetting> selectEmsPcsSettingList(EmsPcsSetting emsPcsSetting);

    /**
     * 新增PCS设备配置
     * 
     * @param emsPcsSetting PCS设备配置
     * @return 结果
     */
    public int insertEmsPcsSetting(EmsPcsSetting emsPcsSetting);

    /**
     * 修改PCS设备配置
     * 
     * @param emsPcsSetting PCS设备配置
     * @return 结果
     */
    public int updateEmsPcsSetting(EmsPcsSetting emsPcsSetting);

    /**
     * 删除PCS设备配置
     * 
     * @param id PCS设备配置主键
     * @return 结果
     */
    public int deleteEmsPcsSettingById(Long id);

    /**
     * 批量删除PCS设备配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsPcsSettingByIds(Long[] ids);

    EmsPcsSetting selectEmsPcsSettingByDeviceId(@Param("deviceSettingId") Long deviceSettingId);

    void updateByDeviceSettingId(EmsPcsSetting pcsSetting);
}
